Bug 1569324 - Webrick is unable to use 2 supported TLS v1.2 ciphers ('ECDHE-RSA-AES128-GCM-SHA256', 'ECDHE-RSA-AES256-GCM-SHA384')
Summary: Webrick is unable to use 2 supported TLS v1.2 ciphers ('ECDHE-RSA-AES128-GCM-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: 6.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 04:11 UTC by Hao Chang Yu
Modified: 2020-10-27 12:57 UTC (History)
10 users (show)

Fixed In Version: foreman-proxy-2.1.0-0, tfm-rubygem-smart_proxy_dynflow_core-0.2.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:57:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:57:42 UTC

Description Hao Chang Yu 2018-04-19 04:11:40 UTC
Description of problem:
Below are the ciphers that are supported by webbrick for foreman-proxy:

# grep -n "CIPHERS =" -A 3 /usr/share/foreman-proxy/lib/webrick-patch.rb
3:CIPHERS = ['ECDHE-RSA-AES128-GCM-SHA256','ECDHE-RSA-AES256-GCM-SHA384',
4-           'ECDHE-RSA-AES128-CBC-SHA','ECDHE-RSA-AES256-CBC-SHA',
5-           'AES128-GCM-SHA256','AES256-GCM-SHA384','AES128-SHA256',
6-           'AES256-SHA256','AES128-SHA','AES256-SHA']


If I disable all of the ciphers above except the following 2 tls v1.2 ciphers, then all https requests to the foreman proxy will fail with "SSL_ERROR_NO_CYPHER_OVERLAP".

ECDHE-RSA-AES128-GCM-SHA256
ECDHE-RSA-AES256-GCM-SHA384


Version-Release number of selected component (if applicable):
6.3

How reproducible:
1) Open '/etc/foreman-installer/scenarios.d/satellite-answers.yaml'. Look for "ssl_disabled_ciphers" and add the following ciphers to disable them.
ssl_disabled_ciphers:
- ECDHE-RSA-AES128-CBC-SHA
- ECDHE-RSA-AES256-CBC-SHA
- AES128-SHA256
- AES256-SHA256
- AES128-SHA
- AES256-SHA
- AES128-GCM-SHA256
- AES256-GCM-SHA384

2) After that, run 'satellite-installer --scenario satellite'

3) Do curl request.

# curl -v https://<satellite hostname>:9090
* About to connect() to <satellite hostname> 9090 (#0)
*   Trying xx.xx.x.xx...
* Connected to <satellite hostname> (xx.xx.x.xx) port 9090 (#0)
* Initializing NSS with certpath: sql:/etc/pki/nssdb
*   CAfile: /etc/pki/tls/certs/ca-bundle.crt
  CApath: none
* NSS error -12286 (SSL_ERROR_NO_CYPHER_OVERLAP)
* Cannot communicate securely with peer: no common encryption algorithm(s).
* Closing connection 0
curl: (35) Cannot communicate securely with peer: no common encryption algorithm(s).

Comment 2 Bryan Kearney 2019-11-04 14:33:57 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 3 Bryan Kearney 2019-12-03 12:53:26 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 5 Bryan Kearney 2020-01-15 21:00:49 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 6 Bryan Kearney 2020-02-03 16:29:52 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 8 Bryan Kearney 2020-03-04 14:08:19 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 10 Mike McCune 2020-04-02 14:37:37 UTC
From IRC:

"""
<ewoud> GaneshP: that should be fixed in 6.8 where we will SCL the proxy
<ewoud> GaneshP: upgraded Ruby 2.5 does support that as confirmed by a user in https://community.theforeman.org/t/ciphers-inconsistent-with-documentation/17187
"""

will align this to 6.8 for verification.

Comment 11 Adam Ruzicka 2020-05-12 08:52:13 UTC
Both upstream PRs[1,2] were merged, moving to POST. Smart proxy dynflow core 0.2.5 containing the fix is already released in upstream, changes in smart proxy are not released yet.

[1] - https://projects.theforeman.org/issues/29463
[2] - https://projects.theforeman.org/issues/29622

Comment 15 errata-xmlrpc 2020-10-27 12:57:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.